BlobBuffer.AsciiInputStream (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.util

## Class BlobBuffer.AsciiInputStream

- java.lang.Object
- - java.io.InputStream
  - - net.sourceforge.jtds.util.BlobBuffer.AsciiInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable
  Enclosing class:
    BlobBuffer

      private class BlobBuffer.AsciiInputStream
      extends java.io.InputStream

  An ASCII `InputStream` over the CLOB buffer.

  This class interprets ASCII as anything which has a value below 0x80. This is more rigid than other drivers which allow any character below 0x100 to be converted to returned. The more relaxed coding is useful when dealing with most single byte character sets and if this behaviour is desired, comment out the line indicated in the read method.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `open`
    `private int` | `readPtr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlobBuffer.AsciiInputStream(long pos)` Costructs an InputStream object over the BLOB buffer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()` Returns the number of bytes available to read.
    `void` | `close()` Closes the output stream.
    `protected void` | `finalize()` Ensures underlying BLOB file can be closed even if user does not close this stream.
    `int` | `read()` Read the next byte from the stream.

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### readPtr

          private int readPtr

    - #### open

          private boolean open

  - ### Constructor Detail

    - #### BlobBuffer.AsciiInputStream

          public BlobBuffer.AsciiInputStream(long pos)
                                      throws java.io.IOException

      Costructs an InputStream object over the BLOB buffer.
      Parameters:
        `pos` - the starting position (from 0)
      Throws:
        `java.io.IOException` - if an I/O error occurs

  - ### Method Detail

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Ensures underlying BLOB file can be closed even if user does not close this stream.
      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

    - #### available

          public int available()
                        throws java.io.IOException

      Returns the number of bytes available to read.
      Overrides:
        `available` in class `java.io.InputStream`
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### read

          public int read()
                   throws java.io.IOException

      Read the next byte from the stream.
      Specified by:
        `read` in class `java.io.InputStream`
      Returns:
        the next byte as an `int` or -1 if at EOF
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### close

          public void close()
                     throws java.io.IOException

      Closes the output stream.
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.InputStream`
      Throws:
        `java.io.IOException` - if an I/O error occurs

Generated on June 8 2013